/*
 *
 * HGA v1.3.1
 * Program: makepop, which generates input files for the HGA
 * File: io.c, handles input and output
 *
 * Copyright (c) 1997, 1995, 1994 Stephen D. Scott and the University of
 * Nebraska-Lincoln.  All rights reserved.
 *
 * Permission to use or modify this software and its documentation only
 * for educational purposes and without fee is hereby granted, provided
 * that the above copyright notice appears in all copies.  The author
 * and university make no representations about the suitability of this
 * software for any purpose.  It is provided "as is" without express or
 * implied warranty.  The author and university shall not be liable in
 * any event for incidental or consequential damages in connection
 * with, or arising out of, the furnishing, performance, or use of
 * these programs.
 *
 */

#include "makepop.h"

void Init(void)
{
/* set defaults for parameters */
p = 4;
n = 3;
f = 4;
m = 16;
g = 256;
mutprob = 1. / 16.;
xovprob = 3. / 4.;
valw = 8;
useseed = 0;
memsize = 64;
out = NULL;
}


/*
 * writes params and population to a file
 */
void Output(void)
{

fprintf(stderr, "**** DON'T FORGET TO UPDATE pop0base and pop1base IN meminterface.hdl!!! ****\n");
}

void initrnd(void)
{
struct timeval tp;
struct timezone tzp;
int seed;
#ifdef WRITEOLDSEED
FILE *rndfile;
#endif

if (useseed)
  seed=oldseed;
else
  {
    gettimeofday(&tp, &tzp);
    seed = (int) tp.tv_usec;
  }
srand(seed);
#ifdef WRITEOLDSEED
if ((rndfile=fopen(".rndseedfile", "w")) != NULL)
  {
    fprintf(rndfile, "%d\n", seed);
    fclose(rndfile);
  }
#endif
}
